Download

Which version of Unreal Engine 4 should I choose?

Sorry if I can not explain myself well, English is not my original language. :frowning:

Hello everyone, I am doing this little topic to ask some questions that I have.

I want to create a video game like the following, but I do not know which version of UE4 to choose for the needs of the project:

“NaissanceE”

I understand that this video game was created with the Unreal Development Kit, which I believe is no longer available for commercial projects. For which I want to use the Unreal Engine 4 but I do not want to download a version that contains many characteristics since I can be very invasive all those characteristics.

I draw a lot of attention to the creation of a video game where you can appreciate a simple architectural environment and a good set of shadows, as you can see in “NaissanceE”. But I do not want to download as many features as I might not use.

So I ask the question on which EU4 version I recommend for my project. My intention is to create something of good quality, 3D modeling, explore environments and solve puzzles.

I hope you can help me.

I share with you my specifications of my PC:

Operating System
Windows 7 Ultimate 64-bit SP1
CPU
AMD Athlon 64 X2 5200+
Brisbane 65nm Technology
RAM
4,00GB Dual-Channel DDR2 @ 387MHz (6-6-6-18)
Motherboard
FOXCONN M61PMV (AMD Athlon 64 X2 Dual Core Processor 5200+)
Graphics
2116S (1680x1050@60Hz)
1024MB NVIDIA GeForce 9500 GT (XFX Pine Group)
Storage
465GB Hitachi HDS5C1050CLA SCSI Disk Device (SATA)

There is only 1 version on “Unreal Engine 4”. The “Unreal Development Kit” that you mentioned is Unreal Engine 3 and it doesn’t make sense any more to use that.

Your PC is currently not good enough to be used with UE4 though, 4 GB RAM is not enough.

Your computer is way below the minimum recommendations for UE4. The GeForce 9500 GT is 9 years old and was a budget gaming GPU at release. I would be surprised if UE4 would even launch.

The recommended requirements are

  • Desktop PC or Mac
  • Windows 7 64-bit or Mac OS X 10.9.2 or later
  • Quad-core Intel or AMD processor, 2.5 GHz or faster
  • NVIDIA GeForce 470 GTX or AMD Radeon 6870 HD series card or higher (or a GTX 1050 if you want a current gen GPU)
  • 8 GB RAM

Oh well, that I understand perfectly. I knew that I was not going to meet the minimum requirements. Thank you for your answers. :slight_smile: